import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class EstateItem extends StatelessWidget {
  final int childIndex; //组内的索引
  final String item;
  final VoidCallback deleteAction;

  const EstateItem({
    required this.childIndex,
    required this.item,
    required this.deleteAction,
  });

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Container(
          width: double.infinity,
          color: context.appColors.whiteBG,
          padding: const EdgeInsets.only(top: 22.5),
          margin: EdgeInsets.only(top: childIndex == 0 ? 0 : 10),
          child: Column(
            children: [
              Row(
                children: [
                  MyLoadImage(
                    "https://img1.baidu.com/it/u=1656098746,3560654086&fm=253&fmt=auto&app=120&f=JPEG?w=800&h=800",
                    width: 65,
                    height: 65,
                    isCircle: true,
                  ).marginOnly(
                    right: 17,
                    left: 15,
                  ),
                  Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      const SizedBox(height: 22.5),
                      //姓名
                      MyTextView(
                        "Wu Bing Bing",
                        fontSize: 16,
                        isFontBold: true,
                        textColor: context.appColors.textBlack,
                        maxLines: 2,
                      ),

                      MyTextView(
                        "Owner",
                        fontSize: 15,
                        isFontRegular: true,
                        textColor: context.appColors.textBlack,
                      ),

                      MyTextView(
                        "Block 35 #08-29",
                        fontSize: 15,
                        isFontRegular: true,
                        textColor: context.appColors.textBlack,
                      ),
                    ],
                  ).expanded(),
                ],
              ),
              const SizedBox(height: 22.5),
              Divider(
                height: 0.5,
                color: context.appColors.backgroundDark,
              ),
              Center(
                child: MyTextView(
                  S.current.remove,
                  paddingTop: 16,
                  paddingBottom: 16,
                  fontSize: 16,
                  isFontMedium: true,
                  textColor: context.appColors.textPrimary,
                ),
              )
            ],
          ),
        ),

        Visibility(
          visible: true,
          child: MyAssetImage(
            Assets.profileMyEstateDefault,
            width: 76,
            height: 44,
          ),
        ).marginOnly(top: childIndex == 0 ? 0 : 10).alignRight(),

        MyTextView(
          S.current.approved,
          fontSize: 16,
          onClick: deleteAction,
          isFontMedium: true,
          textColor: context.appColors.textGreen,
        ).marginOnly(top: childIndex == 0 ? 46.5 : 56.5, right: 15).alignRight()
      ],
    );
  }
}
